Bug 1292113 - [abrt] WARNING: CPU: 1 PID: 1226 at drivers/net/wireless/iwlwifi/pcie/trans.c:1444 iwl_trans_pcie_grab_nic_access+0x117/0x120 [iwlwifi]() [iwlwifi]
[abrt] WARNING: CPU: 1 PID: 1226 at drivers/net/wireless/iwlwifi/pcie/trans.c...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:13eba6acdf6abdc3c5e6be5274a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 09:00 EST by Dominik 'Rathann' Mierzejewski
Modified: 2016-10-19 13:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-19 13:30:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (83.96 KB, text/plain)
2015-12-16 09:00 EST, Dominik 'Rathann' Mierzejewski
no flags Details

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2015-12-16 09:00:28 EST
Description of problem:
Disabled wifi, worked for about an hour over a GSM link  and the suspended.
After resuming wifi device became unavailable.

Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 1 PID: 1226 at drivers/net/wireless/iwlwifi/pcie/trans.c:1444 iwl_trans_pcie_grab_nic_access+0x117/0x120 [iwlwifi]()
Timeout waiting for hardware access (CSR_GP_CNTRL 0x080003dc)
Modules linked in: ppp_deflate bsd_comp ppp_async crc_ccitt ppp_generic slhc uas usb_storage option usb_wwan bnep fuse bluetooth ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_security ip6table_filter ip6_tables iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw iptable_security cpufreq_stats arc4 intel_rapl iosf_mbi x86_pkg_temp_thermal pn544_mei coretemp mei_phy pn544 kvm_intel hci nfc iTCO_wdt iwlmvm iTCO_vendor_support kvm snd_hda_codec_realtek snd_hda_codec_generic mac80211 uvcvideo snd_hda_codec_hdmi vfat fat snd_hda_intel snd_hda_codec videobuf2_vmalloc videobuf2_core
 videobuf2_memops v4l2_common iwlwifi snd_hda_core videodev snd_hwdep cfg80211 media snd_seq joydev snd_seq_device snd_pcm i2c_i801 acpi_als rtsx_pci_ms memstick kfifo_buf mei_me snd_timer lpc_ich sony_laptop snd mei shpchp soundcore industrialio tpm_tis rfkill tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt mmc_block i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper drm crct10dif_pclmul crc32_pclmul crc32c_intel serio_raw rtsx_pci video hid_multitouch
CPU: 1 PID: 1226 Comm: NetworkManager Not tainted 4.2.6-301.fc23.x86_64 #1
Hardware name: Sony Corporation SVP1322C5E/VAIO, BIOS R2091V7 03/24/2014
 0000000000000000 00000000bbcbdf19 ffff88020b773278 ffffffff817729ea
 0000000000000000 ffff88020b7732d0 ffff88020b7732b8 ffffffff8109e4b6
 ffff88020b773310 ffff880214ea4000 0000000000000000 ffff880214ea7cb8
Call Trace:
 [<ffffffff817729ea>] dump_stack+0x45/0x57
 [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa04c20a7>] iwl_trans_pcie_grab_nic_access+0x117/0x120 [iwlwifi]
 [<ffffffffa04b448e>] iwl_set_bits_mask_prph+0x3e/0xa0 [iwlwifi]
 [<ffffffffa04c0f37>] iwl_pcie_set_pwr+0x37/0x80 [iwlwifi]
 [<ffffffffa04c2c6f>] iwl_trans_pcie_start_fw+0xef/0x510 [iwlwifi]
 [<ffffffffa06f52c5>] iwl_mvm_load_ucode_wait_alive+0xd5/0x2b0 [iwlmvm]
 [<ffffffff81778f2a>] ? _raw_write_unlock_bh+0x1a/0x20
 [<ffffffffa06f5000>] ? 0xffffffffa06f5000
 [<ffffffffa06f571d>] iwl_run_init_mvm_ucode+0x6d/0x330 [iwlmvm]
 [<ffffffffa06f5640>] ? iwl_send_phy_cfg_cmd+0x120/0x120 [iwlmvm]
 [<ffffffffa06f5e6c>] iwl_mvm_up+0x6c/0x580 [iwlmvm]
 [<ffffffff810d48c2>] ? enqueue_task_fair+0x332/0x7b0
 [<ffffffff8101df39>] ? sched_clock+0x9/0x10
 [<ffffffff810cd0bf>] ? sched_clock_cpu+0x8f/0xa0
 [<ffffffff810c6d28>] ? check_preempt_curr+0x58/0xa0
 [<ffffffffa06fbc2c>] __iwl_mvm_mac_start+0x2c/0x390 [iwlmvm]
 [<ffffffffa0270033>] ? rfkill_blocked+0x23/0x30 [rfkill]
 [<ffffffffa06fbfda>] iwl_mvm_mac_start+0x4a/0x130 [iwlmvm]
 [<ffffffffa055629b>] ieee80211_do_open+0x46b/0xd10 [mac80211]
 [<ffffffffa0556b96>] ieee80211_open+0x56/0x60 [mac80211]
 [<ffffffff81664348>] __dev_open+0xc8/0x140
 [<ffffffff81664671>] __dev_change_flags+0xa1/0x160
 [<ffffffff81664759>] dev_change_flags+0x29/0x70
 [<ffffffff81671f64>] do_setlink+0x5f4/0xb00
 [<ffffffff8143d085>] ? acpi_ex_do_logical_op+0x193/0x193
 [<ffffffff814366c3>] ? acpi_ev_address_space_dispatch+0x1fb/0x25a
 [<ffffffff813c8522>] ? nla_parse+0x32/0x100
 [<ffffffff81672b66>] rtnl_newlink+0x5b6/0x8a0
 [<ffffffff8144d4b6>] ? acpi_ut_allocate_object_desc_dbg+0x47/0x77
 [<ffffffff8131f858>] ? security_capable+0x48/0x60
 [<ffffffff810a662d>] ? ns_capable+0x2d/0x60
 [<ffffffff81671266>] rtnetlink_rcv_msg+0xe6/0x230
 [<ffffffff81324552>] ? sock_has_perm+0x72/0x90
 [<ffffffff81671180>] ? rtnetlink_rcv+0x40/0x40
 [<ffffffff816959d8>] netlink_rcv_skb+0xa8/0xd0
 [<ffffffff8167116c>] rtnetlink_rcv+0x2c/0x40
 [<ffffffff816951b7>] netlink_unicast+0x127/0x1a0
 [<ffffffff816956d5>] netlink_sendmsg+0x4a5/0x5f0
 [<ffffffff81644ce8>] sock_sendmsg+0x38/0x50
 [<ffffffff8164567b>] ___sys_sendmsg+0x28b/0x2a0
 [<ffffffff81644ce8>] ? sock_sendmsg+0x38/0x50
 [<ffffffff81646137>] __sys_sendmsg+0x57/0xa0
 [<ffffffff81646192>] SyS_sendmsg+0x12/0x20
 [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 1 Dominik 'Rathann' Mierzejewski 2015-12-16 09:00:36 EST
Created attachment 1106408 [details]
File: dmesg
Comment 2 Laura Abbott 2016-09-23 15:20:22 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 3 Dominik 'Rathann' Mierzejewski 2016-10-19 12:59:23 EDT
I moved to F24 and cannot reproduce this any more.
Comment 4 Laura Abbott 2016-10-19 13:30:52 EDT
Thanks for letting us know. I'm going to close the bug. If you see the problem again it can be reopened.

Note You need to log in before you can comment on or make changes to this bug.